{% extends "app/layout.html" %}

{% block content %}
 {% load staticfiles %}
    <script type="text/javascript">
        $("#about_tab").addClass("active");
    </script>
    <link rel="stylesheet" type="text/css" href="{% static 'app/content/bootstrap-table.min.css' %}" />
    <link rel="stylesheet" type="text/css" href="{% static 'app/content/bootstrap-datetimepicker.css' %}" />

    <h2>{{ title }} the CATALYST Marketplace</h2>

 <!--   <div id="rules" style="margin-top:15px">
    {% if request.session.is_authenticated %}
        <div id="holder"></div>
    {% endif %}
    </div>-->
    <div class="modal fade" id="addRule" tabindex="-1" role="dialog" aria-labelledby="addRuleLabel" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <h4 class="modal-title text-center" id="addRuleLabel">Add new rule in terms of ancillary services</h4>
                                </div>
                                <form class="form-horizontal marginstopbot" id="AddRuleForm" onsubmit="return false;">
                                    <div class="form-group">
                                        <label for="value" class="col-sm-4 control-label"><strong>Title</strong><small class="text-danger">*</small></label>
                                        <div class="col-sm-6">
                                            <input type="text" maxlength="50" class="form-control" id="rule_title" placeholder="title"/>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="value" class="col-sm-4 control-label"><strong>Description</strong><small class="text-danger">*</small></label>
                                        <div class="col-sm-6">
                                            <textarea maxlength="512" cols="4" class="form-control" id="rule_description" placeholder="description"></textarea>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-sm-4 col-md-4 col-lg-4 col-xs-12"></div>
                                        <div class="col-md-8 col-sm-8 col-lg-8 col-xs-12" style="font-size:14px">
                                            <label class="text-default"><span class="text-danger">*</span> Mandatory fields</label>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-sm-12 centre">
                                            <button id="modalAccept" class="btn btn-accept btn-info btn-catalyst">Add rule</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
    <div class="tab-pane" id="rules" style="color:black">
                    <h3 style="text-align: center">Rules of Market</h3>
                    <ul id="rules_tabs" class="nav nav-tabs" data-tabs="tabs">
                    </ul>
                    <div id="rule_toolbar">
                        <button id="newbtn" class="btn btn-catalyst" onclick="newRule();">
                            <span class="glyphicon glyphicon-plus" style="vertical-align: initial!important"></span> Add new rule
                        </button>
                    </div>
                    <table
                        id="gam_rules"
                        class="table"
                        data-toolbar="#rule_toolbar"
                        data-pagination="true"
                        data-search="true"
                        data-page-list="[10, 25, 50, 100, all]"
                        data-show-toggle="false"
                        data-show-columns="true"
                        data-card-view="false"
                        data-sort-name="id"
                        data-sort-order="asc"
                        data-click-to-select="false"
                        data-single-select="false"
                        data-show-export="true"
                        data-response-handler="rulesFormatter">
                        <thead>
                            <tr>
                                <th class="th th-inner" data-sortable="true" data-align="left" data-field="title">Title</th>
                                <th class="th th-inner" data-sortable="false" data-align="justify" data-field="description">Description</th>
                                <th class="th th-inner" data-sortable="true" data-align="justify" data-visible="true" data-field="timestamp">When</th>
                                {% if request.session.actor.marketActorTypeid.type == "market operator" %}
                                <th class="th th-inner" data-sortable="false" data-align="center" data-field="manage" data-formatter="manageRulesFormatter">Manage</th>
                                {% endif %}
                            </tr>
                        </thead>
                    </table>
    </div>

{% endblock %}

{% block scripts %}
<script>
var selected_market = {};
var RULES_URL ="{{RULES_URL}}";
var user_markets = JSON.parse(JSON.parse("{{ user_markets | safe | escapejs }}"));
</script>
    <script type="text/javascript" src="{% static 'app/scripts/bootstrap-table.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/bootstrap-table/extensions/export/bootstrap-table-export.min.js' %}" ></script>
    <script type="text/javascript" src="{% static 'app/scripts/bootstrap-table/extensions/export/tableExport.js' %}" ></script>
    <script type="text/javascript" src="{% static 'app/scripts/cookies.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/moment.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/moment-timezone-with-data-2010-2020.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/bootstrap-datetimepicker.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/moment-utc-formater.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/dtable1.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/session_table.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/utilities.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/rules.js' %}"></script>

<script>



</script>
{% endblock %}


